> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account information

> Get the account information.

**Limit: 10 requests per 60 seconds**\
Get margin configuration and account value information.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "applicationId": "dsa",
          "account": "dsa",
          "alias": "dsa",
          "otpauth": true,
          "accountMode": "MARGIN",
          "positionMode": "ONE_WAY",
          "leverage": 1,
          "marginRatio": "1",
          "openMarginRatio": "1",
          "initialMarginRatio": "1",
          "maintenanceMarginRatio": "1",
          "totalCollateral": "1",
          "freeCollateral": "1",
          "totalAccountValue": "5",
          "totalTradingValue": "1",
          "totalVaultValue": "1",
          "totalStakingValue": "1",
          "totalEarnValue": "1",
          "totalLaunchpadValue": "1",
          "referrerID": "WOO2023", 
          "accountType": "Main"
      },
      "timestamp": 1673323685109
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/account/info
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/account/info:
    get:
      description: Get the account information.
      parameters:
        - $ref: '#/components/parameters/ApiKeyHeader'
        - $ref: '#/components/parameters/SignatureHeader'
        - $ref: '#/components/parameters/TimestampHeader'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountInfoResponse'
      security: []
components:
  parameters:
    ApiKeyHeader:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: abcdef123456
      description: api-key
    SignatureHeader:
      name: x-api-signature
      in: header
      required: true
      schema:
        type: string
        example: signaturestring
      description: api-signature
    TimestampHeader:
      name: x-api-timestamp
      in: header
      required: true
      schema:
        type: string
        example: '1718943200000'
      description: api-timestamp
  schemas:
    AccountInfoResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                applicationId:
                  type: string
                  description: The ID of the application associated with the account.
                account:
                  type: string
                  description: The account identifier.
                alias:
                  type: string
                  description: Alias name for the account.
                otpauth:
                  type: boolean
                  description: >-
                    Indicates whether OTP authentication is enabled for the
                    account.
                accountMode:
                  type: string
                  description: The account mode, e.g., 'MARGIN'.
                  enum:
                    - MARGIN
                    - SPOT
                positionMode:
                  type: string
                  description: Position mode of the account, e.g., 'ONE_WAY'.
                  enum:
                    - ONE_WAY
                    - HEDGE_MODE
                leverage:
                  type: integer
                  description: The leverage level set for the account.
                marginRatio:
                  type: string
                  description: The margin ratio of the account.
                openMarginRatio:
                  type: string
                  description: The open margin ratio of the account.
                initialMarginRatio:
                  type: string
                  description: The initial margin ratio of the account.
                maintenanceMarginRatio:
                  type: string
                  description: The maintenance margin ratio of the account.
                totalCollateral:
                  type: string
                  description: The total collateral value of the account.
                freeCollateral:
                  type: string
                  description: The free collateral value of the account.
                totalAccountValue:
                  type: string
                  description: The total account value.
                totalTradingValue:
                  type: string
                  description: The total trading value of the account.
                totalVaultValue:
                  type: string
                  description: The total vault value of the account.
                totalStakingValue:
                  type: string
                  description: The total staking value of the account.
                totalEarnValue:
                  type: string
                  description: The total value earned by the account.
                totalLaunchpadValue:
                  type: string
                  description: The total launchpad value of the account.
                referrerID:
                  type: string
                  description: The ID of the referrer associated with the account.
                accountType:
                  type: string
                  description: The type of the account, e.g., 'Main'.
                  enum:
                    - Main
                    - Sub
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````